/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.impl.core;

import java.util.Collection;

import javax.jcr.RepositoryException;

import org.exoplatform.services.organization.OrganizationService;

/**
 * Created by The eXo Platform SARL        .
 * 
 * <br>
 * TODO
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: SessionFactory.java 5834 2006-05-29 12:05:59Z peterit $
 */

public class SessionFactory {

	private OrganizationService organizationService;
	
	public SessionFactory(OrganizationService orgService) {
		this.organizationService = orgService;
	}
	
	public SessionImpl createSession(CredentialsImpl credentials) 
	    throws RepositoryException {
		
		Collection groups;
		//OrganizationService orgService = (OrganizationService) getContainer()
		//		.getComponentInstanceOfType(OrganizationService.class);
		try {
			groups = organizationService.getGroupHandler().findGroupsOfUser(credentials.getUserID());
		} catch (Exception e) {
			throw new RepositoryException("AccessManager failed " + e);
		}
		
		//WorkspaceContainer workspaceContainer = (WorkspaceContainer) repositoryContainer
		//.getComponentInstance(workspaceName);
		
		// Check privilegies to access workspace first?
		//AccessManager accessManager = new AccessManager(credentials.getUserID(), groups);
		return null;
	}
}
