/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.impl.dataflow;

import java.util.ArrayList;

import org.exoplatform.services.jcr.impl.core.ItemState;
import org.exoplatform.services.jcr.impl.core.SessionImpl;

/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: MutableItemDataChangesLog.java 5800 2006-05-28 18:03:31Z geaz $
 */

public class MutableItemDataChangesLog extends ItemDataChangesLog {

  public MutableItemDataChangesLog(SessionImpl session) {
    super(new ArrayList <ItemState> (), session);
  }

  /**
   * Add changes to the log
   * @param changes
   */
  public MutableItemDataChangesLog add(ItemState change) {
    items.add(change);
    return this;
  }
  
  public void clear() {
    items.clear();
  }

}
