/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.impl.storage.rdb.container.data;

import java.util.Set;

import org.exoplatform.services.jcr.access.AccessControlList;
import org.exoplatform.services.jcr.datamodel.InternalQName;
import org.exoplatform.services.jcr.datamodel.NodeData;

/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: NodeRecord.java 5150 2006-04-17 06:44:21Z geaz $
 */

public interface NodeRecord extends NodeData, ItemRecord {

  Set getProperties();

  void setProperties(Set properties);

  void addProperty(PropertyRecord property);

  Set getNodes();

  void setNodes(Set childNodes);

  void addChildNode(NodeRecord node);

  void setOrderNumber(int orderNum);

  void setPrimaryType(InternalQName primaryType);

  void setMixinTypes(InternalQName[] mixinTypes);
  
  void setChildrenACL(AccessControlList acl);

}