/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.impl.core.access;

import javax.jcr.Credentials;
import javax.jcr.LoginException;

import org.exoplatform.services.jcr.config.RepositoryEntry;
import org.exoplatform.services.jcr.impl.core.CredentialsImpl;
import org.exoplatform.services.log.LogService;
import org.exoplatform.services.security.SecurityService;

/**
 * Created by The eXo Platform SARL .
 * 
 * @author <a href="mailto:lautarul@gmail.com">Roman Pedchenko</a>
 * @version $Id: RemoteAuthenticationPolicy.java 5150 2006-04-17 06:44:21Z geaz $
 */

public class RemoteAuthenticationPolicy extends BaseAuthenticationPolicy {
  
  public RemoteAuthenticationPolicy(RepositoryEntry config,
      SecurityService securityService, LogService logService) {
    super(config, securityService, logService);
  }

  public Credentials authenticate() throws LoginException {
    return new CredentialsImpl("admin", "admin".toCharArray());
  }

}
