/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.impl.storage.rdb.container.data;

import java.util.Set;

import org.exoplatform.services.jcr.datamodel.MutablePropertyData;

/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: PropertyRecord.java 5623 2006-05-19 16:13:09Z peterit $
 */

public interface PropertyRecord extends MutablePropertyData, ItemRecord {

  Set getPropertyValues();

  void setPropertyValues(Set values);

  Integer getValuesType();

  void setValuesType(Integer type);
  
  Boolean isPropertyMultiValued();

  void setPropertyMultiValued(Boolean multivalued);
  
  void setMultiValued(boolean multivalued);


}